/*
Theme Name: CasinoTop10 JP 2026
Theme URI: https://www.casinotop10.jp/
Description: Child theme for CasinoTop10 JP
Author: casinotop10
Author URI: https://www.casinotop10.jp/
Template: satellite-sites-starter-2025
Version: 1.0.1
License: MIT
License URI: https://opensource.org/licenses/MIT
Text Domain: casinotop10
*/


/**
 * Child Theme Stylesheet
 * 
 * Theme: CasinoTop10
 * Site: casinoTop10.jp
 * Version: 1.0.2
 */

.header__logo img, .header__logo svg {
	width: 110px !important;
}

.mb-0 {
	margin-bottom: 0 !important;
}

.has-border {
  border: 1px solid #fadce2;
  border-radius: 4px;
  padding: 20px;
}

.pink-bg {
	background-color: #E229EC;
	padding: 0 12px;
	border-radius: 6px;
}

h1.main-page__title {
    line-height: 48px !important;
}

p.has-text-align-center > img {
	display: inline-block;
	margin-bottom: 5px;
}


.wp-block-table.is-style-stripes {
    border-bottom: 1px solid var(--sk-table-border);
}

.sk-wp-editor .wp-block-gallery, .sk-wp-editor ol:not(.custom-block *) li, .sk-wp-editor ul:not(.custom-block *) li {
    margin-bottom: 8px !important;
}


.footer__regulations {
	justify-content: center;
}

.footer__regulations img {
	max-height: 25px;
}

/* Customization for links row block on front-page */
.links-row > *{
	display: flex;
	padding: 16px;
	border-radius: 4px;
	border: 1px solid #DCDCDC;
	flex: 1;
	justify-content: center;
	white-space: nowrap;
}

.links-row > p {
	color: #25202999;
	font-weight: 600;
	font-size: var(--sk-text-base-size);
	transform: none !important;
}

.links-row > a {
	text-decoration: none !important;
}

.links-row > a > p {
	color:  #252029;
	font-size: var(--sk-text-base-size);
	font-weight: 600;
	line-height: 23px; /* 143.75% */
}


/* Certificate of trust block on front-page */
.trust-certificate {
	min-height: fit-content !important;
	padding: 32px;
	margin-top: 40px;
}

.trust-certificate h3 {
	margin-bottom: 12px !important;
}

.trust-certificate .wp-block-cover__inner-container {
	max-width: 770px;
}

.trust-certificate .wp-block-cover__inner-container > p {
	font-size: var(--sk-text-xs);
	line-height: 18px;
}

.trust-certificate .wp-block-cover__background {
	opacity: 0 !important;
}

/* Info block */
.info-block {
	padding: 32px;
	margin-bottom: 16px;
}

.info-block h3 {
	margin-bottom: 4px !important;
}

.info-block .wp-block-columns,
.info-block .wp-block-list {
	margin-bottom: 0;
}

.info-block img {
	border-radius: 4px;
}

/* Slots gallery */
.slots-gallery .wp-block-image {
	margin-bottom: 0 !important;
}

.slots-gallery img {
	border-radius: 4px;
	height: 170px !important;
    object-fit: cover;
	box-sizing: border-box;
	transition-duration: .4s !important;
    transition-property: all !important;
    transition-timing-function: ease-in-out !important;
}

.footer__menu-wrapper {
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr)) !important;
}

.footer__menu-wrapper .nav-footer ul {
	padding: 0 16px;
}

.footer__menu-title {
	padding: 10px 16px;
	border-radius: 4px;
    background: #282828;
}

.footer.large .footer__menu-title {
	opacity: 1;
}

.single-review__custom-ratings .highlight {
	background-color: #fff;
}

.main-page__hero-main {
	padding: 16px;
	background-color: rgba(255, 255, 255, 0.9);
	border-radius: 16px;
}

@media (min-width: 992px) {
    .footer.large {
        padding: 32px 0 16px;
    }
	
	.footer__regulations-wrapper {
		margin-top: 20px;
	}
	
	.footer__bottom-wrapper {
		padding-top: 32px;
	}
	
	.links-row > *:hover {
		transform: scale(1.05);
	}
	
	.slots-gallery img:hover {
		transform: scale(1.05);
	}
}

@media (min-width: 1280px) {
    .nav-main a {
        font-size: 13px;
    }
	
	.nav-main li.level-0>a {
        padding: 15px 10px;
    }
	
	.footer__social-links-list {
        grid-template-columns: repeat(auto-fill, 36px);
    }
}

.wp-block-columns.info-cards {
	gap: 8px;
}

.wp-block-group.has-text-color * {
	color: inherit;
}

.wp-block-separator {
	border-top: 1px solid rgba(0, 0, 0, 0.3);

}

.has-yellow-color {
    color: #f9db5b;
}

.has-yellow-background-color {
    background-color: #f9db5b;
}

.has-dark-pink-color {
    color: #E80847;
}

.has-dark-pink-background-color {
    background-color: #E80847;
}

.has-blue-color {
    color: #3f1aa2;
}

.has-blue-background-color {
    background-color: #3f1aa2;
}

.has-light-pink-color {
    color: #fadce2;
}

.has-light-pink-background-color {
    background-color: #fadce2;
}

.has-light-yellow-background-color {
    background-color: #fff6cd;
}

.has-light-yellow-color {
    color: #fff6cd;
}

.sk-wp-editor br {
	display: block !important;
}

/* Hero section */
.section-hero .section-hero__left-content {
	border-radius: 20px;
    margin: 20px 0;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 100px 15px !important;
}

.section-hero__wysiwyg h1, .sk-wp-editor .section-hero__wysiwyg h1 {
    word-break: break-word;
}

.header::after {
    content: '';
    position: absolute;
    bottom: -2px;
    right: 0;
    left: 0;
    background: url(https://staging.casinotop10.jp/wp-content/uploads/2026/03/jp-zigzag.svg) repeat-x center;
    height: 10px;
    width: 100%;
	z-index: -1;
}

.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}